VERSION 5.00
Begin VB.Form frmConvert 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Convert Sample Type"
   ClientHeight    =   3915
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3555
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3915
   ScaleWidth      =   3555
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.Frame frmFrequency 
      Caption         =   "Frequency (Hz)"
      Height          =   3645
      Left            =   135
      TabIndex        =   5
      Top             =   135
      Width           =   2040
      Begin VB.OptionButton opFq 
         Caption         =   "6000"
         Height          =   285
         Index           =   0
         Left            =   525
         TabIndex        =   15
         Top             =   270
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "8000"
         Height          =   285
         Index           =   1
         Left            =   525
         TabIndex        =   14
         Top             =   600
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "11025"
         Height          =   285
         Index           =   2
         Left            =   525
         TabIndex        =   13
         Top             =   930
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "12000"
         Height          =   285
         Index           =   3
         Left            =   525
         TabIndex        =   12
         Top             =   1260
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "16000"
         Height          =   285
         Index           =   4
         Left            =   525
         TabIndex        =   11
         Top             =   1590
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "22050"
         Height          =   285
         Index           =   5
         Left            =   525
         TabIndex        =   10
         Top             =   1920
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "24000"
         Height          =   285
         Index           =   6
         Left            =   525
         TabIndex        =   9
         Top             =   2250
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "32000"
         Height          =   285
         Index           =   7
         Left            =   525
         TabIndex        =   8
         Top             =   2580
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "44100"
         Height          =   285
         Index           =   8
         Left            =   525
         TabIndex        =   7
         Top             =   2910
         Width           =   885
      End
      Begin VB.OptionButton opFq 
         Caption         =   "48000"
         Height          =   285
         Index           =   9
         Left            =   525
         TabIndex        =   6
         Top             =   3240
         Width           =   885
      End
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "OK"
      Height          =   375
      Left            =   2295
      TabIndex        =   4
      Top             =   2925
      Width           =   1155
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2295
      TabIndex        =   3
      Top             =   3405
      Width           =   1155
   End
   Begin VB.Frame frmChannels 
      Caption         =   "Channels"
      Height          =   1005
      Left            =   2295
      TabIndex        =   0
      Top             =   135
      Width           =   1155
      Begin VB.OptionButton opCh 
         Caption         =   "Stereo"
         Height          =   285
         Index           =   1
         Left            =   90
         TabIndex        =   2
         Top             =   630
         Width           =   825
      End
      Begin VB.OptionButton opCh 
         Caption         =   "Mono"
         Height          =   285
         Index           =   0
         Left            =   90
         TabIndex        =   1
         Top             =   270
         Width           =   795
      End
   End
End
Attribute VB_Name = "frmConvert"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Freq As FrequencyConstants
Dim Chan As ChannelsConstants

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOK_Click()
    Unload Me
    frmDialog.AudioEditor1.ConvertSampleType Freq, Chan
End Sub

Private Sub Form_Load()
    Dim ind As Long
    Freq = frmDialog.AudioEditor1.FileInfo.Frequency
    Chan = frmDialog.AudioEditor1.FileInfo.Channels
    Select Case Freq
        Case FQ_6_KHZ: ind = 0
        Case FQ_8_KHZ: ind = 1
        Case FQ_11_KHZ: ind = 2
        Case FQ_12_KHZ: ind = 3
        Case FQ_16_KHZ: ind = 4
        Case FQ_22_KHZ: ind = 5
        Case FQ_24_KHZ: ind = 6
        Case FQ_32_KHZ: ind = 7
        Case FQ_44_KHZ: ind = 8
        Case FQ_48_KHZ: ind = 9
    End Select
    opFq(ind).Value = True
    
    If Chan = MONO Then opCh(0).Value = True
    If Chan = STEREO Then opCh(1).Value = True
End Sub

Private Sub opCh_Click(Index As Integer)
    If opCh(0).Value = True Then Chan = MONO
    If opCh(1).Value = True Then Chan = STEREO
End Sub

Private Sub opFq_Click(Index As Integer)
    Select Case Index
        Case 0: Freq = FQ_6_KHZ
        Case 1: Freq = FQ_8_KHZ
        Case 2: Freq = FQ_11_KHZ
        Case 3: Freq = FQ_12_KHZ
        Case 4: Freq = FQ_16_KHZ
        Case 5: Freq = FQ_22_KHZ
        Case 6: Freq = FQ_24_KHZ
        Case 7: Freq = FQ_32_KHZ
        Case 8: Freq = FQ_44_KHZ
        Case 9: Freq = FQ_48_KHZ
    End Select
End Sub
