VERSION 5.00
Begin VB.Form frmRAW 
   Caption         =   "Set RAW Format"
   ClientHeight    =   2670
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3705
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   3705
   StartUpPosition =   1  'CenterOwner
   Begin VB.Frame Frame1 
      Caption         =   "Comperssion"
      Height          =   1110
      Left            =   2205
      TabIndex        =   14
      Top             =   990
      Width           =   1440
      Begin VB.OptionButton C3 
         Caption         =   "8-bit mu-Law "
         Height          =   285
         Left            =   135
         TabIndex        =   19
         Top             =   765
         Width           =   1230
      End
      Begin VB.OptionButton C2 
         Caption         =   "8-bit A-Law "
         Height          =   285
         Left            =   135
         TabIndex        =   16
         Top             =   495
         Width           =   1140
      End
      Begin VB.OptionButton C1 
         Caption         =   "16-bit PCM"
         Height          =   240
         Left            =   135
         TabIndex        =   15
         Top             =   270
         Value           =   -1  'True
         Width           =   1140
      End
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2700
      TabIndex        =   13
      Top             =   2205
      Width           =   960
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "Ok"
      Height          =   375
      Left            =   1665
      TabIndex        =   12
      Top             =   2205
      Width           =   960
   End
   Begin VB.Frame Frame5 
      Caption         =   "nChannels"
      Height          =   885
      Left            =   2205
      TabIndex        =   9
      Top             =   90
      Width           =   1440
      Begin VB.OptionButton P2 
         Caption         =   "Stereo"
         Height          =   255
         Left            =   225
         TabIndex        =   11
         Top             =   540
         Value           =   -1  'True
         Width           =   915
      End
      Begin VB.OptionButton P1 
         Caption         =   "Mono"
         Height          =   255
         Left            =   225
         TabIndex        =   10
         Top             =   225
         Width           =   915
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Frequency (Hz)"
      Height          =   2010
      Left            =   90
      TabIndex        =   0
      Top             =   90
      Width           =   2040
      Begin VB.OptionButton F9 
         Caption         =   "6000"
         Height          =   255
         Left            =   135
         TabIndex        =   18
         Top             =   270
         Width           =   780
      End
      Begin VB.OptionButton F10 
         Caption         =   "12000"
         Height          =   255
         Left            =   135
         TabIndex        =   17
         Top             =   1248
         Width           =   780
      End
      Begin VB.OptionButton F6 
         Caption         =   "22050"
         Height          =   255
         Left            =   1080
         TabIndex        =   8
         Top             =   270
         Width           =   780
      End
      Begin VB.OptionButton F5 
         Caption         =   "11025 "
         Height          =   255
         Left            =   135
         TabIndex        =   7
         Top             =   922
         Width           =   780
      End
      Begin VB.OptionButton F1 
         Caption         =   "8000"
         Height          =   255
         Left            =   135
         TabIndex        =   6
         Top             =   596
         Width           =   780
      End
      Begin VB.OptionButton F8 
         Caption         =   "48000"
         Height          =   255
         Left            =   1080
         TabIndex        =   5
         Top             =   1575
         Width           =   780
      End
      Begin VB.OptionButton F4 
         Caption         =   "32000"
         Height          =   255
         Left            =   1080
         TabIndex        =   4
         Top             =   922
         Width           =   780
      End
      Begin VB.OptionButton F7 
         Caption         =   "44100"
         Height          =   255
         Left            =   1080
         TabIndex        =   3
         Top             =   1248
         Value           =   -1  'True
         Width           =   780
      End
      Begin VB.OptionButton F3 
         Caption         =   "24000"
         Height          =   255
         Left            =   1080
         TabIndex        =   2
         Top             =   596
         Width           =   780
      End
      Begin VB.OptionButton F2 
         Caption         =   "16000"
         Height          =   255
         Left            =   135
         TabIndex        =   1
         Top             =   1575
         Width           =   780
      End
   End
End
Attribute VB_Name = "frmRAW"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Freq As Long        'Declares the variable to store the Frequency value
Dim Channel As Integer  'Declares the variable to store the number of channels value
Dim Compr As Integer    'Declares the variable to store the compression type of RAW file

Private Sub C1_Click()  'this sub starts on clicking the first button of the compreeeion frame
    Compr = 1           'sets compression type to 1 (16 bit A-PCM-LAW)
End Sub

Private Sub C2_Click()  'this sub starts on clicking the second button of the compreeeion frame
    Compr = 2           'sets compression type to 2 (8 bit A-Law)
End Sub

Private Sub C3_Click()  'this sub starts on clicking the third button of the compreeeion frame
    Compr = 3           'sets compression type to 3 (8 bit mnu-LAW)
End Sub

Private Sub cmdCancel_Click()   'this sub starts on clicking the "Cancel" button and terminates running of the frame
    Unload Me                   'unloads the frame
End Sub

Private Sub cmdOK_Click()       'this sub starts on clicking "OK" button
    frmDialog.AudioEditor1.FileFormat.SetFormatRAW Compr, Freq, Channel, 16    'Changes RAW file's format
    Unload Me                   'trminates running of the frame
End Sub

Private Sub F1_Click() 'this sub starts on clicking "8000" radio button
    Freq = 8000        'sets frequency value to 8000 Hz
End Sub

Private Sub F10_Click() 'this sub starts on clicking "12000" radio button
    Freq = 12000        'sets frequency value to 12000 Hz
End Sub

Private Sub F2_Click() 'this sub starts on clicking "16000" radio button
    Freq = 16000        'sets frequency value to 16000 Hz
End Sub

Private Sub F3_Click() 'this sub starts on clicking "24000" radio button
    Freq = 24000        'sets frequency value to 24000 Hz
End Sub

Private Sub F4_Click() 'this sub starts on clicking "32000" radio button
    Freq = 32000        'sets frequency value to 32000 Hz
End Sub

Private Sub F5_Click() 'this sub starts on clicking "11025" radio button
    Freq = 11025        'sets frequency value to 11025 Hz
End Sub

Private Sub F6_Click() 'this sub starts on clicking "22050" radio button
    Freq = 22050        'sets frequency value to 22050 Hz
End Sub

Private Sub F7_Click() 'this sub starts on clicking "44100" radio button
    Freq = 44100        'sets frequency value to 44100 Hz
End Sub

Private Sub F8_Click() 'this sub starts on clicking "48000" radio button
    Freq = 48000        'sets frequency value to 48000 Hz
End Sub

Private Sub F9_Click() 'this sub starts on clicking "6000" radio button
    Freq = 6000         'sets frequency value to 6000 Hz
End Sub

Private Sub Form_Load() 'this sub starts on loading the frmRAW frame
    Freq = 44100        'Sets frequency to 44100 Hz
    Channel = 2         'sets Stereo mode
    Compr = 1           'set 16-PCM compression
End Sub

Private Sub P1_Click()  'this sub starts on clicking "Mono" radio button
    Channel = 1         'Sets 1 Channel and "Mono" mode
End Sub

Private Sub P2_Click()  'this sub starts on clicking "Stereo" radio button
    Channel = 2         'Sets 2 Channels and "Stereo" mode
End Sub

